Bug 480787 - autoconf parameter --with-... --without-...
autoconf parameter --with-... --without-...
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Database - General (Show other bugs)
1.1.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
: VerifiedUpstream
Depends On:
Blocks: 389_1.2.6
  Show dependency treegraph
 
Reported: 2009-01-20 10:25 EST by Mario Fetka
Modified: 2015-12-07 11:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:55:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
0001-Bug-480787-Autoconf-parameter-with-and-without.patch (59.17 KB, patch)
2010-03-19 20:31 EDT, Endi Sukma Dewata
rmeggins: review+
Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Gentoo 104554 None None None Never

  None (edit)
Description Mario Fetka 2009-01-20 10:25:09 EST
Description of problem:

For the metadistribution Gentoo it is needed that you can also specify --without-...

e.x. --without-pam --without-netsnmp --without-sasl ....

if the user don't want this functionality

at the moment it uses pam/... if it is present.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mario Fetka 2009-01-20 10:33:43 EST
one additional requested extensin for the --with-.... is the that if you specifiy only -with-sasl it should work like --with-sasl=yes
Comment 2 Rich Megginson 2010-01-22 11:38:34 EST
Can you provide a link to a gentoo document that explains the requirements of --with and --without?

For pam, specifically, you can use --enable-pam-passthru or --disable-pam-passthru

For sasl, specifically, the server requires the use of sasl - that is, --without-sasl will fail - instead of --with-sasl=yes, use no --with-sasl option at all - then it will attempt to find sasl in the system locations.
Comment 3 Mario Fetka 2010-01-22 12:19:18 EST
yes and it is already used (http://tinyurl.com/yb8j5jv)

there you can see in the src_configure section that gentoo has this nice functions called use_enabled use_with more details at:
http://devmanual.gentoo.org/ebuild-writing/functions/src_compile/configuring/index.html

and these functions will create for ex: $(use_with icu) will result in the configure switch --with-icu and this will not work with the actual design of the autoconf macros where it expects --with-icu=yes

this request is to make it pssoble to have fort ex --with-icu.
Comment 4 Mario Fetka 2010-01-22 12:28:56 EST
and now with the comming openldap support the gentoo user can decide if thx want tobuild with mozldap or with openldap
Comment 5 Rich Megginson 2010-01-22 13:25:02 EST
So, to summarize:
For all of the --with-XXX configure switches supported by directory server
1) if just --with-XXX is specified, it should imply --with-XXX=yes
2) --without-XXX should work, and should work exactly the same way as --with-XXX=no
Comment 6 Mario Fetka 2010-01-22 13:51:59 EST
yes this is right this would really help
Comment 7 Endi Sukma Dewata 2010-03-19 17:20:41 EDT
Mario, the configure script has two types of options: feature and package (see configure --help). The features are configured using --enable/disable, but the packages are configured using --with/without.

According to comment #5 we will make changes to the --with-XXX only (i.e. packages), but in your original bug description you also mention about disabling pam which is a feature, not a package. So to disable pam you will still need to use --disable-pam-passthru, not --without-pam-passthru. Will this work for you? Thanks.
Comment 8 Mario Fetka 2010-03-19 18:44:42 EDT
(In reply to comment #7)
> Will this
> work for you? Thanks.    

yes this will work it is absolutly ok ( i don't know how i came up with pam for the example ? )

greate thx
Comment 9 Endi Sukma Dewata 2010-03-19 20:31:56 EDT
Created attachment 401381 [details]
0001-Bug-480787-Autoconf-parameter-with-and-without.patch

The configure script has been modified such that the --with-XXX and --without-XXX switches will work as --with-XXX=yes and --with-XXX=no, respectively. If the package is required and none of the switches are specified, it will default to "yes".

The code that detects LDAPSDK and OpenLDAP conflicts has been updated. The help messages have been cleaned up.
Comment 10 Rich Megginson 2010-03-23 12:21:21 EDT
To ssh://git.fedorahosted.org/git/389/ds.git
   04a0bd9..682529e  master -> master

commit 682529e7f8391744615b40a14852efd317936109
Author: edewata@redhat.com
Date:   Fri Mar 19 19:25:48 2010 -0500
    Fix Description: The configure script has been modified
    such that the --with-XXX and --without-XXX switches will
    work as --with-XXX=yes and --with-XXX=no, respectively.
    If the package is required and none of the switches are
    specified, it will default to "yes".
    
    The code that detects LDAPSDK and OpenLDAP conflicts has
    been updated. The help messages have been cleaned up.
    Reviewed by: rmeggins (and pushed by)

Note You need to log in before you can comment on or make changes to this bug.